Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 608540 - net-misc/guacamole{,-server}: removal (was: bump to 0.9.11-incubating)
Summary: net-misc/guacamole{,-server}: removal (was: bump to 0.9.11-incubating)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Andreas Schürch
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-07 15:30 UTC by Toei Rei
Modified: 2020-02-16 18:36 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
guacamole-server-0.9.11.ebuild (guacamole-server-0.9.11.ebuild,1.80 KB, text/plain)
2017-02-12 22:47 UTC, Toei Rei
Details
clipboard-id-update.patch (clipboard-id-update.patch,3.98 KB, patch)
2017-02-14 14:27 UTC, Andreas Schürch
Details | Diff
glyph-order.patch (glyph-order.patch,1.52 KB, patch)
2017-02-14 14:28 UTC, Andreas Schürch
Details | Diff
guacamole.tar.bz2 (guacamole.tar.bz2,11.37 KB, application/x-bzip)
2018-07-20 11:43 UTC, INODE64 Sistemas
Details
ebuilds for guacamole 1.1.0 (guacamole-1.1.0.tar.gz,3.26 KB, application/x-gzip)
2020-02-03 11:35 UTC, Mickaël Bucas
Details
www-apps/guacamole-1.1.0 build.log (guacamole-1.1.0.build.log.gz,36.67 KB, application/x-gzip)
2020-02-03 15:58 UTC, Mickaël Bucas
Details
Guacamole-1.1.0 (guacamole-1-1.0.tar.bz2,3.42 KB, application/x-bzip)
2020-02-05 19:08 UTC, INODE64 Sistemas
Details
guacamole-server-1.1.0.ebuild (guacamole-server-1.1.0.ebuild,1.57 KB, text/plain)
2020-02-13 16:03 UTC, INODE64 Sistemas
Details
guacamole-1.1.0.tar.bz2 (guacamole-1.1.0.tar.bz2,28.18 KB, application/x-bzip)
2020-02-16 15:34 UTC, INODE64 Sistemas
Details
guacamole-1.1.0.tar.bz2 (guacamole-1.1.0.tar.bz2,30.00 KB, application/x-bzip)
2020-02-16 18:36 UTC, INODE64 Sistemas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toei Rei 2017-02-07 15:30:20 UTC
guacamole-server and webapp are at version "0.9.11-incubating" by now.
see https://guacamole.incubator.apache.org/
Comment 1 Andreas Schürch gentoo-dev 2017-02-12 19:04:50 UTC
Wow, after a year of silence they released two versions within two months!
Glad it is moving forward. :-)
Give me some time to install and test before I do the bump in the tree...
Comment 2 Toei Rei 2017-02-12 22:41:08 UTC
I did some testing: RDP functionality does not work with a newer freerdp version + the new naming scheme is a pain in the butt.
Comment 3 Toei Rei 2017-02-12 22:47:00 UTC
Created attachment 463514 [details]
guacamole-server-0.9.11.ebuild

old patches seem to work;

Freerdp 1.2.1_pre20150326-r1 seems to be too new for now
Version 1.1.0 something around their git20140921.1.440916e was the latest one I could use
Comment 4 Andreas Schürch gentoo-dev 2017-02-13 17:33:35 UTC
Thanks so far!
I guess you also haven't got the encoder to build!?
If we get it to work it should probably get exposed together with libav and webp as USE flags...
I found http://git.net/ml/scm-fedora-commits/2017-01/msg00881.html which seems to contain patches for the already existing patches...
Comment 5 Toei Rei 2017-02-13 18:46:21 UTC
Issues so far: ffmpg and freerdp

Let me put it that way: I had to use a current debian install to get it built correctly. So it's a bit of a mess as we do not have software THAT old in tree.
Comment 6 Andreas Schürch gentoo-dev 2017-02-14 14:27:58 UTC
Created attachment 463714 [details, diff]
clipboard-id-update.patch

Ok, the linked Fedora patch for the patch is actually removing the patch - and it also looks like 0.9.10 isn't building for fedora either...
The existing patches do not apply cleanly, but its quite trivial to port them. -But they seem to have used even more parts (svc_plugin.h) of the ancient freerdp version now :-(
Comment 7 Andreas Schürch gentoo-dev 2017-02-14 14:28:31 UTC
Created attachment 463716 [details, diff]
glyph-order.patch
Comment 8 Andreas Schürch gentoo-dev 2017-03-14 16:45:47 UTC
Fedora made a compat package for the old freerdp now.
I don't know if I should just remove the rdp option!?
I also haven't looked into the ffmpeg issue so far....
Comment 9 Toei Rei 2017-03-16 14:54:09 UTC
For me it's the RDP functionality why I'm using guacamole...
Comment 10 Lubos Kolouch 2018-03-11 18:28:54 UTC
Is there any other way how to get to RDP via https? (without ssh proxy etc.)
Comment 11 Andreas Schürch gentoo-dev 2018-04-01 12:04:14 UTC
(In reply to Lubos Kolouch from comment #10)
> Is there any other way how to get to RDP via https? (without ssh proxy etc.)

Haven't tried it myself, but there is: 
https://github.com/FreeRDP/FreeRDP-WebConnect
Comment 12 Andreas Schürch gentoo-dev 2018-07-10 16:15:01 UTC
I will remove the guacamole packages in 30 days if nothing happens...
Comment 13 Lubos Kolouch 2018-07-17 17:52:09 UTC
It would be a pity.

On the other hand guacamole without RDP is basically useless (at least for my use case).

Let's see if it can be changed.

https://issues.apache.org/jira/browse/GUACAMOLE-588?filter=-2
Comment 14 Lubos Kolouch 2018-07-17 18:45:39 UTC
So, according to the upstream discussion there is active development for the freerdp-2.0.x - see below

"
...

As of the time of this writing, the latest merge of code above was a matter of days ago, and the release process for 1.0.0 is underway.

...


My suggestion to Gentoo would be to provide a build of the stable-1.1 branch of FreeRDP, as it should be installable alongside FreeRDP 2.0. Beyond that, it's unrealistic to expect support for a new release of FreeRDP to happen quickly. For any other library, absolutely.
"
Comment 15 Andreas Schürch gentoo-dev 2018-07-18 10:32:43 UTC
I will not reintroduce an old version of freerdp which already took some effort to get rid of some years ago. I guess also the ffmpeg issues might get solved in future versions of guacamole.
But for now we are stuck. As that "now" is getting old now, I guess it is best to just abandon the ebuild for "now", instead of disappointing potential users of it.

I will keep an eye on the upstream issue 249. When something is happening there, we can still re-add it to the portage tree anytime.

But for now it would be just too much work to get a franken-guacamole-build, which might break on other corners too easily for my taste.
Comment 16 Lubos Kolouch 2018-07-18 11:22:05 UTC
Let's hope they merge it soon... now I have to find another way how to install guacamole to my gentoo server :(
Comment 17 Lubos Kolouch 2018-07-18 11:23:38 UTC
...or is there any alternative supporting RDP? novnc is just for VNC...
Comment 18 Andreas Schürch gentoo-dev 2018-07-18 13:23:22 UTC
(In reply to Lubos Kolouch from comment #16)
> Let's hope they merge it soon... now I have to find another way how to
> install guacamole to my gentoo server :(

The ebuilds don't vanish from the planet! :-)
Feel free to use them from an overlay.
If you already got it working somehow, just unmask the packages and copy the ebuilds to a local overlay. But please do not open bugs if it breaks! ;-)

(In reply to Lubos Kolouch from comment #16)
> ...or is there any alternative supporting RDP? novnc is just for VNC...

See my comment #11 above.
Comment 19 INODE64 Sistemas 2018-07-20 11:40:45 UTC
These are my ebuilds for guacamole, guacamole-server and freerpd 1.1.x

I'm installed in 7 servers from 3 years ago and they run fine with a lot of Windows Server 2012r2, Windows 2008, Windows 7 and 10.
Comment 20 INODE64 Sistemas 2018-07-20 11:43:14 UTC
Created attachment 540164 [details]
guacamole.tar.bz2

I have the versions for 0.9.14 and 9999
Comment 21 Larry the Git Cow gentoo-dev 2018-08-19 08:56:36 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=60256bbc436a5f6a9cdb7afe6f263028dc608c4c

commit 60256bbc436a5f6a9cdb7afe6f263028dc608c4c
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2018-08-19 08:55:19 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2018-08-19 08:56:21 +0000

    www-apps/guacamole: Remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/608540

 profiles/package.mask                     |   5 --
 www-apps/guacamole/Manifest               |  18 ----
 www-apps/guacamole/guacamole-0.9.0.ebuild |  92 ---------------------
 www-apps/guacamole/guacamole-0.9.2.ebuild |  92 ---------------------
 www-apps/guacamole/guacamole-0.9.3.ebuild |  92 ---------------------
 www-apps/guacamole/guacamole-0.9.7.ebuild | 132 ------------------------------
 www-apps/guacamole/guacamole-0.9.8.ebuild | 125 ----------------------------
 www-apps/guacamole/guacamole-0.9.9.ebuild | 126 ----------------------------
 www-apps/guacamole/metadata.xml           |  22 -----
 9 files changed, 704 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7630c0b73d7d50d7e39e2504662bf8f7023721d3

commit 7630c0b73d7d50d7e39e2504662bf8f7023721d3
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2018-08-19 08:52:33 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2018-08-19 08:56:20 +0000

    net-misc/guacamole-server: Remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/608540

 net-misc/guacamole-server/Manifest                 |   1 -
 ...uacamole-server-0.9.9-clipboard-id-update.patch | 104 ---------------------
 .../files/guacamole-server-0.9.9-glyph-order.patch |  24 -----
 net-misc/guacamole-server/files/guacd              |  23 -----
 net-misc/guacamole-server/files/guacd.service      |  11 ---
 .../guacamole-server-0.9.9-r1.ebuild               |  70 --------------
 net-misc/guacamole-server/metadata.xml             |  18 ----
 profiles/package.mask                              |   1 -
 8 files changed, 252 deletions(-)
Comment 22 Joakim Tjernlund 2019-01-27 23:35:45 UTC
Look like work on freerdp 2.0 is on the way now for guacamole ...
Comment 24 Mickaël Bucas 2020-02-03 11:35:30 UTC
Created attachment 611184 [details]
ebuilds for guacamole 1.1.0

Apache Guacamole 1.1.0 availability has been announced on Jan 31 [1]
I've copied my ebuilds for 1.0.0 and they work the same.

They are not ready for the Portage tree because I've not been able to remove RESTRICT="network-sandbox" nor explain to Maven to use local files instead of the Apache repository. That's way above my knowledge of Java and Maven.

This version of Guacamole supports FreeRDP 2.0.0, but I didn't try to add it to the ebuild because I don't use RDP.

[1] http://guacamole.apache.org/releases/1.1.0/
Comment 25 Joakim Tjernlund 2020-02-03 14:20:46 UTC
(In reply to Mickaël Bucas from comment #24)
> Created attachment 611184 [details]
> ebuilds for guacamole 1.1.0
> 
> Apache Guacamole 1.1.0 availability has been announced on Jan 31 [1]
> I've copied my ebuilds for 1.0.0 and they work the same.
> 
> They are not ready for the Portage tree because I've not been able to remove
> RESTRICT="network-sandbox" nor explain to Maven to use local files instead
> of the Apache repository. That's way above my knowledge of Java and Maven.

Which pkgs does it download/need?
Are they all in Gentoo?
Comment 26 Mickaël Bucas 2020-02-03 15:58:48 UTC
Created attachment 611194 [details]
www-apps/guacamole-1.1.0 build.log

This is the build log with traces of all downloads by Maven.

There are 1078 lines starting with :
[INFO] Downloaded from central: https://repo.maven.apache.org/maven2/...

I've no idea how to check if they are available in Gentoo.
Comment 27 INODE64 Sistemas 2020-02-05 19:08:15 UTC
Created attachment 611970 [details]
Guacamole-1.1.0

Changelog:

+ Update to EAPI 7
+ Support for webp
+ Disable guacnec for now
+ Require ghostscritp-gpl without X (for printing)
+ Create spool for sync files between connections
+ Update docs's Urls 
+ Remove old einfo
+ Remove dependencies for Server SQL (the server can in other servers)
+ Require Tomcat 8.5
+ Default configuration of guacamole.properties
+ Simplify directory installation
+ Change name to guacamole-client 

TODO:

+ MS SQL server
+ Include new Auths (DOU, TOTP, OPENID and CAS)
+ Migrate to the new system of users acct-group / acct-user
+ Support for Kubernetes
Comment 28 INODE64 Sistemas 2020-02-13 16:03:37 UTC
Created attachment 613618 [details]
guacamole-server-1.1.0.ebuild

Add home for user guacd to solve fix which freerdp 2

guacd[2402088]: FreeRDP initialization may fail: The current user's home directory ("/dev/null") is not actually a directory, but FreeRDP generally requires a writable home directory for storage of configuration files and certificates.
Comment 29 INODE64 Sistemas 2020-02-16 15:34:31 UTC
Created attachment 614030 [details]
guacamole-1.1.0.tar.bz2

Add support for new system user 
change user systemd service to use guacamole
Change user guacd to guacamole
Force use openssl always
Change pid to /run/guacd.pid
Support for encode with ffmpeg
Force use fonts for telnet and ssh
No need to install the guacamole-server on the same machine
Remove flag multilib, it never used
Comment 30 INODE64 Sistemas 2020-02-16 18:36:25 UTC
Created attachment 614046 [details]
guacamole-1.1.0.tar.bz2

Fix guacamole init